> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ID Check Session

<Note>The 'id=true' query parameter is required to include ID verification in the session.</Note>


## OpenAPI

````yaml ../idcheck-openapi.json GET /liveness/session
openapi: 3.0.0
info:
  title: Verisoul ID Check API
  description: >-
    ID Check is a Verisoul platform add-on that combines facial biometrics with
    ID verification. The workflow prompts users to provide a valid ID document
    and perform a face scan to verify their identity.


    For users: the process is quick, works on any device/language, and requires
    a valid ID document.

    For developers: ID Check can be integrated within a couple hours of one
    developer's time.
  version: 1.0.0
  contact:
    name: Verisoul Support
    url: https://verisoul.ai
    email: support@verisoul.ai
servers:
  - url: https://api.sandbox.verisoul.ai
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /liveness/session:
    get:
      tags:
        - Session
      summary: Get ID Check session
      description: >-
        Get a new session for ID Check verification. This is the first step in
        the ID Check workflow.
      operationId: createIDCheckSession
      parameters:
        - name: id
          in: query
          description: Flag to indicate that this session will include ID verification
          required: true
          schema:
            type: boolean
        - name: referring_session_id
          in: query
          description: ID of a referring session, if applicable
          required: false
          schema:
            type: string
            format: uuid
        - name: simulate
          in: query
          description: >-
            See [Simulate ID
            Check](/verifications/id-check/resources/simulate-id-check) for more
            information
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Session created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionResponse'
              example:
                request_id: aad5cc61-1766-4546-a8a7-1790554b24ec
                session_id: 000ff417-cfe3-4d32-8323-59cb05b854cb
        '400':
          description: Bad request - groups enabled on project
          content:
            application/json:
              schema:
                type: object
                properties:
                  request_id:
                    type: string
                    format: uuid
                    description: Unique identifier for the request
                  success:
                    type: boolean
                    description: Indicates whether the request was successful
                  error:
                    type: string
                    enum:
                      - groups_enabled
                    description: Error code indicating the reason for failure
              example:
                request_id: e6f078a5-7931-4c41-ad53-1ef35a4ca762
                success: false
                error: groups_enabled
components:
  schemas:
    SessionResponse:
      type: object
      properties:
        request_id:
          type: string
          format: uuid
          description: Unique identifier for the request
        session_id:
          type: string
          format: uuid
          description: Unique identifier for the session
      required:
        - request_id
        - session_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key authentication

````